Package org.eclipse.net4j.util.container

# Interface IContainerEventVisitor<E>

All Known Subinterfaces:
  `IContainerEventVisitor.Filtered<E>`

public interface IContainerEventVisitor<E>
A callback interface for visiting `container deltas`.

Author:
  Eike Stepper
See Also:
  - `IContainerEvent.accept(IContainerEventVisitor)`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IContainerEventVisitor.Filtered<E>`
An extension interface for `container event visitors` that can `filter` deltas from being visited.

## Method Summary

Modifier and Type
Method
Description
`void`
`added(E element)`
`void`
`removed(E element)`

## Method Details

### added

void added(E element)

### removed

void removed(E element)